Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 6717)
@@ -79,12 +79,4 @@
    ln_use_jattr = .false.  !  use (T) the file attribute: open_ocean_jstart, if present
    !                       !  in netcdf input files, as the start j-row for reading
-/
-!-----------------------------------------------------------------------
-&namzgr        !   vertical coordinate                                  (default: NO selection)
-!-----------------------------------------------------------------------
-   ln_zco      = .false.   !  z-coordinate - full    steps
-   ln_zps      = .false.   !  z-coordinate - partial steps
-   ln_sco      = .false.   !  s- or hybrid z-s-coordinate
-   ln_isfcav   = .false.   !  ice shelf cavity
 /
 !-----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 6717)
@@ -144,6 +144,4 @@
       
          resto_ice(:,:,:) = 0._wp
-         !      Re-calculate the North and South boundary restoring term
-         !      because those boundaries may change with the prescribed zoom area.
          !
          irelax  = 16                     ! width of buffer zone with respect to close boundary
@@ -156,12 +154,12 @@
          ! REM: if there is no ice in the model and in the data, 
          !      no restoring even with non zero resto_ice
-         DO jj = mj0(jpjzoom - 1 + 1), mj1(jpjzoom -1 + irelax)
-            zreltim = zdmpmin + zfactor * ( mjg(jj) - jpjzoom + 1 )
+         DO jj = mj0(1), mj1( irelax)
+            zreltim = zdmpmin + zfactor * mjg(jj)
             resto_ice(:,jj,:) = 1._wp / ( zreltim * 86400._wp )
          END DO
 
          ! North boundary restoring term
-         DO jj =  mj0(jpjzoom -1 + jpjglo - irelax), mj1(jpjzoom - 1 + jpjglo)
-            zreltim = zdmpmin + zfactor * (jpjglo - ( mjg(jj) - jpjzoom + 1 ))
+         DO jj =  mj0(jpjglo - irelax), mj1(jpjglo)
+            zreltim = zdmpmin + zfactor * (jpjglo - mjg(jj))
             resto_ice(:,jj,:) = 1.e0 / ( zreltim * 86400 )
          END DO
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limsbc_2.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limsbc_2.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limsbc_2.F90	(revision 6717)
@@ -449,12 +449,10 @@
       soce_0(:,:) = soce                     ! constant SSS and ice salinity used in levitating sea-ice case
       sice_0(:,:) = sice
-      !
-      IF( cp_cfg == "orca" ) THEN            ! decrease ocean & ice reference salinities in the Baltic sea 
-         WHERE( 14._wp <= glamt(:,:) .AND. glamt(:,:) <= 32._wp .AND.   &
-            &   54._wp <= gphit(:,:) .AND. gphit(:,:) <= 66._wp         ) 
-            soce_0(:,:) = 4._wp
-            sice_0(:,:) = 2._wp
-         END WHERE
-      ENDIF
+      !                                      ! decrease ocean & ice reference salinities in the Baltic sea 
+      WHERE( 14._wp <= glamt(:,:) .AND. glamt(:,:) <= 32._wp .AND.   &
+         &   54._wp <= gphit(:,:) .AND. gphit(:,:) <= 66._wp         ) 
+         soce_0(:,:) = 4._wp
+         sice_0(:,:) = 2._wp
+      END WHERE
       !                                      ! embedded sea ice
       IF( nn_ice_embd /= 0 ) THEN            ! mass exchanges between ice and ocean (case 1 or 2) set the snow+ice mass
@@ -473,9 +471,8 @@
 !!gm
          IF( .NOT.ln_linssh ) THEN
-
-            do jk = 1,jpkm1                     ! adjust initial vertical scale factors
+            DO jk = 1,jpkm1                     ! adjust initial vertical scale factors
                e3t_n(:,:,jk) = e3t_0(:,:,jk)*( 1._wp + sshn(:,:)*tmask(:,:,1)/(ht_0(:,:) + 1.0 - tmask(:,:,1)) )
                e3t_b(:,:,jk) = e3t_0(:,:,jk)*( 1._wp + sshb(:,:)*tmask(:,:,1)/(ht_0(:,:) + 1.0 - tmask(:,:,1)) )
-            end do
+            END DO
             e3t_a(:,:,:) = e3t_b(:,:,:)
             ! Reconstruction of all vertical scale factors at now and before time steps
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/limsbc.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/limsbc.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/limsbc.F90	(revision 6717)
@@ -316,12 +316,10 @@
       soce_0(:,:) = soce                     ! constant SSS and ice salinity used in levitating sea-ice case
       sice_0(:,:) = sice
-      !
-      IF( cp_cfg == "orca" ) THEN            ! decrease ocean & ice reference salinities in the Baltic sea 
-         WHERE( 14._wp <= glamt(:,:) .AND. glamt(:,:) <= 32._wp .AND.   &
-            &   54._wp <= gphit(:,:) .AND. gphit(:,:) <= 66._wp         ) 
-            soce_0(:,:) = 4._wp
-            sice_0(:,:) = 2._wp
-         END WHERE
-      ENDIF
+      !                                      ! decrease ocean & ice reference salinities in the Baltic Sea area
+      WHERE( 14._wp <= glamt(:,:) .AND. glamt(:,:) <= 32._wp .AND.   &
+         &   54._wp <= gphit(:,:) .AND. gphit(:,:) <= 66._wp         ) 
+         soce_0(:,:) = 4._wp
+         sice_0(:,:) = 2._wp
+      END WHERE
       !
       IF( .NOT. ln_rstart ) THEN
@@ -331,6 +329,6 @@
             snwice_mass_b(:,:) = snwice_mass(:,:)
          ELSE
-            snwice_mass  (:,:) = 0.0_wp         ! no mass exchanges
-            snwice_mass_b(:,:) = 0.0_wp         ! no mass exchanges
+            snwice_mass  (:,:) = 0._wp          ! no mass exchanges
+            snwice_mass_b(:,:) = 0._wp          ! no mass exchanges
          ENDIF
          IF( nn_ice_embd == 2 ) THEN            ! full embedment (case 2) deplete the initial ssh below sea-ice area
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90	(revision 6717)
@@ -5,4 +5,8 @@
    !!=====================================================================
    !! History :  3.0  !  2002-11  (C. Ethe)  F90: Free form and module
+   !!----------------------------------------------------------------------
+#if defined key_lim3
+   !!----------------------------------------------------------------------
+   !!   'key_lim3'                                      LIM3 sea-ice model
    !!----------------------------------------------------------------------
    USE in_out_manager ! I/O manager
@@ -175,4 +179,13 @@
    END FUNCTION thd_ice_alloc
    
+#else
+   !!----------------------------------------------------------------------
+   !!   Default option :         Empty module          NO LIM sea-ice model
+   !!----------------------------------------------------------------------
+CONTAINS
+   SUBROUTINE thd_ice_alloc          ! Empty routine
+   END SUBROUTINE thd_ice_alloc
+#endif
+ 
    !!======================================================================
 END MODULE thd_ice
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/NST_SRC/agrif_user.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/NST_SRC/agrif_user.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/NST_SRC/agrif_user.F90	(revision 6717)
@@ -32,7 +32,7 @@
 ! JC: change to allow for different vertical levels
 !     jpk is already set
-!     keep it jpk possibly different from jpkdta which 
+!     keep it jpk possibly different from jpkglo which 
 !     hold parent grid vertical levels number (set earlier)
-!      jpk     = jpkdta 
+!      jpk     = jpkglo 
       jpim1   = jpi-1 
       jpjm1   = jpj-1 
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 6717)
@@ -100,6 +100,6 @@
 
       DO ib_bdy = 1, nb_bdy
-         IF( nn_dyn2d_dta(ib_bdy) .ge. 2 ) THEN
-
+         IF( nn_dyn2d_dta(ib_bdy) >= 2 ) THEN
+            !
             td => tides(ib_bdy)
             nblen => idx_bdy(ib_bdy)%nblen
@@ -134,8 +134,6 @@
             ! JC: If FRS scheme is used, we assume that tidal is needed over the whole
             ! relaxation area      
-            IF( cn_dyn2d(ib_bdy) == 'frs' ) THEN
-               ilen0(:)=nblen(:)
-            ELSE
-               ilen0(:)=nblenrim(:)
+            IF( cn_dyn2d(ib_bdy) == 'frs' ) THEN   ;   ilen0(:) = nblen   (:)
+            ELSE                                   ;   ilen0(:) = nblenrim(:)
             ENDIF
 
@@ -156,17 +154,17 @@
             td%v   (:,:,:) = 0._wp
 
-            IF (ln_bdytide_2ddta) THEN
+            IF( ln_bdytide_2ddta ) THEN
                ! It is assumed that each data file contains all complex harmonic amplitudes
-               ! given on the data domain (ie global, jpidta x jpjdta)
-               !
-               CALL wrk_alloc( jpi, jpj, zti, ztr )
+               ! given on the global domain (ie global, jpiglo x jpjglo)
+               !
+               CALL wrk_alloc( jpi,jpj,   zti, ztr )
                !
                ! SSH fields
                clfile = TRIM(filtide)//'_grid_T.nc'
-               CALL iom_open (clfile , inum ) 
+               CALL iom_open( clfile , inum ) 
                igrd = 1                       ! Everything is at T-points here
                DO itide = 1, nb_harmo
-                  CALL iom_get  ( inum, jpdom_data, TRIM(Wave(ntide(itide))%cname_tide)//'_z1', ztr(:,:) )
-                  CALL iom_get  ( inum, jpdom_data, TRIM(Wave(ntide(itide))%cname_tide)//'_z2', zti(:,:) ) 
+                  CALL iom_get( inum, jpdom_autoglo, TRIM(Wave(ntide(itide))%cname_tide)//'_z1', ztr(:,:) )
+                  CALL iom_get( inum, jpdom_autoglo, TRIM(Wave(ntide(itide))%cname_tide)//'_z2', zti(:,:) ) 
                   DO ib = 1, ilen0(igrd)
                      ii = idx_bdy(ib_bdy)%nbi(ib,igrd)
@@ -180,9 +178,9 @@
                ! U fields
                clfile = TRIM(filtide)//'_grid_U.nc'
-               CALL iom_open (clfile , inum ) 
+               CALL iom_open( clfile , inum ) 
                igrd = 2                       ! Everything is at U-points here
                DO itide = 1, nb_harmo
-                  CALL iom_get  ( inum, jpdom_data, TRIM(Wave(ntide(itide))%cname_tide)//'_u1', ztr(:,:) )
-                  CALL iom_get  ( inum, jpdom_data, TRIM(Wave(ntide(itide))%cname_tide)//'_u2', zti(:,:) )
+                  CALL iom_get  ( inum, jpdom_autoglo, TRIM(Wave(ntide(itide))%cname_tide)//'_u1', ztr(:,:) )
+                  CALL iom_get  ( inum, jpdom_autoglo, TRIM(Wave(ntide(itide))%cname_tide)//'_u2', zti(:,:) )
                   DO ib = 1, ilen0(igrd)
                      ii = idx_bdy(ib_bdy)%nbi(ib,igrd)
@@ -196,9 +194,9 @@
                ! V fields
                clfile = TRIM(filtide)//'_grid_V.nc'
-               CALL iom_open (clfile , inum ) 
+               CALL iom_open( clfile , inum ) 
                igrd = 3                       ! Everything is at V-points here
                DO itide = 1, nb_harmo
-                  CALL iom_get  ( inum, jpdom_data, TRIM(Wave(ntide(itide))%cname_tide)//'_v1', ztr(:,:) )
-                  CALL iom_get  ( inum, jpdom_data, TRIM(Wave(ntide(itide))%cname_tide)//'_v2', zti(:,:) )
+                  CALL iom_get  ( inum, jpdom_autoglo, TRIM(Wave(ntide(itide))%cname_tide)//'_v1', ztr(:,:) )
+                  CALL iom_get  ( inum, jpdom_autoglo, TRIM(Wave(ntide(itide))%cname_tide)//'_v2', zti(:,:) )
                   DO ib = 1, ilen0(igrd)
                      ii = idx_bdy(ib_bdy)%nbi(ib,igrd)
@@ -210,5 +208,5 @@
                CALL iom_close( inum )
                !
-               CALL wrk_dealloc( jpi, jpj, ztr, zti ) 
+               CALL wrk_dealloc( jpi,jpj,   ztr, zti ) 
                !
             ELSE            
@@ -219,10 +217,7 @@
                !
                ! Set map structure
-               ibmap_ptr(1)%ptr => idx_bdy(ib_bdy)%nbmap(:,1)
-               ibmap_ptr(1)%ll_unstruc = ln_coords_file(ib_bdy)
-               ibmap_ptr(2)%ptr => idx_bdy(ib_bdy)%nbmap(:,2)
-               ibmap_ptr(2)%ll_unstruc = ln_coords_file(ib_bdy)
-               ibmap_ptr(3)%ptr => idx_bdy(ib_bdy)%nbmap(:,3)
-               ibmap_ptr(3)%ll_unstruc = ln_coords_file(ib_bdy)
+               ibmap_ptr(1)%ptr => idx_bdy(ib_bdy)%nbmap(:,1)   ;   ibmap_ptr(1)%ll_unstruc = ln_coords_file(ib_bdy)
+               ibmap_ptr(2)%ptr => idx_bdy(ib_bdy)%nbmap(:,2)   ;   ibmap_ptr(2)%ll_unstruc = ln_coords_file(ib_bdy)
+               ibmap_ptr(3)%ptr => idx_bdy(ib_bdy)%nbmap(:,3)   ;   ibmap_ptr(3)%ll_unstruc = ln_coords_file(ib_bdy)
 
                ! Open files and read in tidal forcing data
@@ -258,4 +253,5 @@
                !
                DEALLOCATE( dta_read )
+               !
             ENDIF ! ln_bdytide_2ddta=.true.
             !
@@ -275,5 +271,5 @@
             dta_bdy_s(ib_bdy)%v2d(:) = 0._wp
             !
-         ENDIF ! nn_dyn2d_dta(ib_bdy) .ge. 2
+         ENDIF ! nn_dyn2d_dta(ib_bdy) >= 2
          !
       END DO ! loop on ib_bdy
@@ -376,4 +372,5 @@
    END SUBROUTINE bdytide_update
 
+
    SUBROUTINE bdy_dta_tides( kt, kit, time_offset )
       !!----------------------------------------------------------------------
@@ -422,16 +419,14 @@
 
       DO ib_bdy = 1,nb_bdy
-
-         IF ( nn_dyn2d_dta(ib_bdy) .ge. 2 ) THEN
-
+         !
+         IF( nn_dyn2d_dta(ib_bdy) >= 2 ) THEN
+            !
             nblen(1:jpbgrd) = idx_bdy(ib_bdy)%nblen(1:jpbgrd)
             nblenrim(1:jpbgrd) = idx_bdy(ib_bdy)%nblenrim(1:jpbgrd)
-
-            IF( cn_dyn2d(ib_bdy) == 'frs' ) THEN
-               ilen0(:)=nblen(:)
-            ELSE
-               ilen0(:)=nblenrim(:)
+            !
+            IF( cn_dyn2d(ib_bdy) == 'frs' ) THEN   ;   ilen0(:) = nblen   (:)
+            ELSE                                   ;   ilen0(:) = nblenrim(:)
             ENDIF     
-
+            !
             ! We refresh nodal factors every day below
             ! This should be done somewhere else
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 6717)
@@ -392,5 +392,5 @@
         ENDIF               
 
-        IF( iptglo .NE. 0 )THEN
+        IF( iptglo /= 0 )THEN
              
            !read points'coordinates and directions 
@@ -399,9 +399,9 @@
            directemp(:) = 0                  !value of directions of each points
            DO jpt=1,iptglo
-              READ(numdct_in)i1,i2
+              READ(numdct_in) i1, i2
               coordtemp(jpt)%I = i1 
               coordtemp(jpt)%J = i2
            ENDDO
-           READ(numdct_in)directemp(1:iptglo)
+           READ(numdct_in) directemp(1:iptglo)
     
            !debug
@@ -416,11 +416,11 @@
            !Now each proc selects only points that are in its domain:
            !--------------------------------------------------------
-           iptloc = 0                    !initialize number of points selected
-           DO jpt=1,iptglo               !loop on listpoint read in the file
-                    
+           iptloc = 0                    ! initialize number of points selected
+           DO jpt = 1, iptglo            ! loop on listpoint read in the file
+              !      
               iiglo=coordtemp(jpt)%I          ! global coordinates of the point
               ijglo=coordtemp(jpt)%J          !  " 
 
-              IF( iiglo==jpidta .AND. nimpp==1 ) iiglo = 2
+              IF( iiglo==jpiglo .AND. nimpp==1 )   iiglo = 2         !!gm BUG: Hard coded periodicity !
 
               iiloc=iiglo-nimpp+1   ! local coordinates of the point
@@ -428,12 +428,12 @@
 
               !verify if the point is on the local domain:(1,nlei)*(1,nlej)
-              IF( iiloc .GE. 1 .AND. iiloc .LE. nlei .AND. &
-                  ijloc .GE. 1 .AND. ijloc .LE. nlej       )THEN
+              IF( iiloc >= 1 .AND. iiloc <= nlei .AND. &
+                  ijloc >= 1 .AND. ijloc <= nlej       )THEN
                  iptloc = iptloc + 1                                                 ! count local points
                  secs(jsec)%listPoint(iptloc) = POINT_SECTION(mi0(iiglo),mj0(ijglo)) ! store local coordinates
                  secs(jsec)%direction(iptloc) = directemp(jpt)                       ! store local direction
               ENDIF
-
-           ENDDO
+              !
+           END DO
      
            secs(jsec)%nb_point=iptloc !store number of section's points
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90	(revision 6717)
@@ -666,5 +666,5 @@
          CALL histdef( nid_T, "so28chgt", "Depth of 28C isotherm"              , "m"      ,   & ! hd28
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
-         CALL histdef( nid_T, "sohtc300", "Heat content 300 m"                 , "W"      ,   & ! htc3
+         CALL histdef( nid_T, "sohtc300", "Heat content 300 m"                 , "J/m2"   ,   & ! htc3
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
 #endif
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 6717)
@@ -166,9 +166,7 @@
 
    !!----------------------------------------------------------------------
-   !! masks, bathymetry
+   !! masks, top and bottom ocean point position
    !! ---------------------------------------------------------------------
-!!gm   INTEGER , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   mbathy             !: number of ocean level (=0, 1, ... , jpk-1)
    INTEGER , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   mbkt, mbku, mbkv   !: bottom last wet T-, U- and V-level
-!!gm   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   bathy              !: ocean depth (meters)
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   tmask_i            !: interior domain T-point mask
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   tmask_h            !: internal domain T-point mask (Figure 8.5 NEMO book)
@@ -178,5 +176,5 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   risfdep                 !: Iceshelf draft                    (ISF)
 
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   ssmask, ssumask, ssvmask, ssfmask    !: surface mask at T-,U-, V- and F-pts
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   ssmask, ssumask, ssvmask             !: surface mask at T-,U-, V- and F-pts
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:), TARGET :: tmask, umask, vmask, fmask   !: land/ocean mask at T-, U-, V- and F-pts
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:), TARGET :: wmask, wumask, wvmask        !: land/ocean mask at WT-, WU- and WV-pts
@@ -258,5 +256,5 @@
          &      njmppt(jpnij) , ibonjt(jpnij) , nldit(jpnij) , nldjt(jpnij) ,     &
          &                                      nleit(jpnij) , nlejt(jpnij) ,     &
-         &      mi0(jpidta)   , mi1 (jpidta),  mj0(jpjdta)   , mj1 (jpjdta) ,     &
+         &      mi0(jpiglo)   , mi1 (jpiglo),  mj0(jpjglo)   , mj1 (jpjglo) ,     &
          &      tpol(jpiglo)  , fpol(jpiglo)                                , STAT=ierr(2) )
          !
@@ -295,6 +293,6 @@
          &      e3t_1d  (jpk) , e3w_1d  (jpk) , e3tp (jpi,jpj), e3wp(jpi,jpj) , STAT=ierr(7) )
          !
-      ALLOCATE( tmask_i(jpi,jpj) , tmask_h(jpi,jpj) ,                                       & 
-         &      ssmask (jpi,jpj) , ssumask(jpi,jpj) , ssvmask(jpi,jpj) , ssfmask(jpi,jpj) , &
+      ALLOCATE( tmask_i(jpi,jpj) , tmask_h(jpi,jpj) ,                        & 
+         &      ssmask (jpi,jpj) , ssumask(jpi,jpj) , ssvmask(jpi,jpj) ,     &
          &      mbkt   (jpi,jpj) , mbku   (jpi,jpj) , mbkv   (jpi,jpj) , STAT=ierr(9) )
          !
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 6717)
@@ -20,25 +20,25 @@
    !!   dom_nam       : read and contral domain namelists
    !!   dom_ctl       : control print for the ocean domain
-   !!   cfg_wri       : create the "domain_cfg.nc" file containing all required configuration information   
+   !!   cfg_write     : create the "domain_cfg.nc" file containing all required configuration information   
    !!----------------------------------------------------------------------
-   USE oce             ! ocean variables
-   USE dom_oce         ! domain: ocean
-   USE sbc_oce         ! surface boundary condition: ocean
-   USE phycst          ! physical constants
-   USE closea          ! closed seas
-   USE domhgr          ! domain: set the horizontal mesh
-   USE domzgr          ! domain: set the vertical mesh
-   USE dommsk          ! domain: set the mask system
-   USE domwri          ! domain: write the meshmask file
-   USE domvvl          ! variable volume
-   USE c1d             ! 1D vertical configuration
-   USE dyncor_c1d      ! Coriolis term (c1d case)         (cor_c1d routine)
+   USE oce            ! ocean variables
+   USE dom_oce        ! domain: ocean
+   USE sbc_oce        ! surface boundary condition: ocean
+   USE phycst         ! physical constants
+   USE usrdef_closea  ! closed seas
+   USE domhgr         ! domain: set the horizontal mesh
+   USE domzgr         ! domain: set the vertical mesh
+   USE dommsk         ! domain: set the mask system
+   USE domwri         ! domain: write the meshmask file
+   USE domvvl         ! variable volume
+   USE c1d            ! 1D vertical configuration
+   USE dyncor_c1d     ! Coriolis term (c1d case)         (cor_c1d routine)
    !
-   USE in_out_manager  ! I/O manager
-   USE iom             ! I/O library
-   USE lbclnk          ! ocean lateral boundary condition (or mpp link)
-   USE lib_mpp         ! distributed memory computing library
-   USE wrk_nemo        ! Memory Allocation
-   USE timing          ! Timing
+   USE in_out_manager ! I/O manager
+   USE iom            ! I/O library
+   USE lbclnk         ! ocean lateral boundary condition (or mpp link)
+   USE lib_mpp        ! distributed memory computing library
+   USE wrk_nemo       ! Memory Allocation
+   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -86,7 +86,7 @@
          WRITE(numout,*)     '      dimension of model'
          WRITE(numout,*)     '             Local domain      Global domain       Data domain '
-         WRITE(numout,cform) '        ','   jpi     : ', jpi, '   jpiglo  : ', jpiglo, '   jpidta  : ', jpidta
-         WRITE(numout,cform) '        ','   jpj     : ', jpj, '   jpjglo  : ', jpjglo, '   jpjdta  : ', jpjdta
-         WRITE(numout,cform) '        ','   jpk     : ', jpk, '   jpkglo  : ', jpkglo, '   jpkdta  : ', jpkdta
+         WRITE(numout,cform) '        ','   jpi     : ', jpi, '   jpiglo  : ', jpiglo
+         WRITE(numout,cform) '        ','   jpj     : ', jpj, '   jpjglo  : ', jpjglo
+         WRITE(numout,cform) '        ','   jpk     : ', jpk, '   jpkglo  : ', jpkglo
          WRITE(numout,cform) '       ' ,'   jpij    : ', jpij
          WRITE(numout,*)     '      mpp local domain info (mpp)'
@@ -100,7 +100,8 @@
       !      
       CALL dom_nam                     ! read namelist ( namrun, namdom )
-      CALL dom_clo                     ! Closed seas and lake
+      CALL dom_clo( cp_cfg, jp_cfg )   ! Closed seas and lake
       CALL dom_hgr                     ! Horizontal mesh
       CALL dom_zgr( ik_top, ik_bot )   ! Vertical mesh and bathymetry
+      IF( nn_closea == 0 )   CALL clo_bat( ik_top, ik_bot )    !==  remove closed seas or lakes  ==!
       CALL dom_msk( ik_top, ik_bot )   ! Masks
       !
@@ -171,5 +172,5 @@
       ENDIF
       !
-      IF( ln_write_cfg )   CALL cfg_wri           ! create the configuration file
+      IF( ln_write_cfg )   CALL cfg_write         ! create the configuration file
       !
       IF( nn_timing == 1 )   CALL timing_stop('dom_init')
@@ -405,31 +406,17 @@
 
 
-   SUBROUTINE cfg_wri
-      !!----------------------------------------------------------------------
-      !!                  ***  ROUTINE cfg_wri  ***
+   SUBROUTINE cfg_write
+      !!----------------------------------------------------------------------
+      !!                  ***  ROUTINE cfg_write  ***
       !!                   
-      !! ** Purpose :   Create the NetCDF file(s) which contain(s) all the
-      !!      ocean domain informations (mesh and mask arrays). This (these)
-      !!      file(s) is (are) used for visualisation (SAXO software) and
-      !!      diagnostic computation.
+      !! ** Purpose :   Create the "domain_cfg" file, a NetCDF file which 
+      !!              contains all the ocean domain informations required to 
+      !!              define an ocean configuration.
       !!
-      !! ** Method  :   Write in a file all the arrays generated in routines
-      !!      domhgr, domzgr, and dommsk. Note: the file contain depends on
-      !!      the vertical coord. used (z-coord, partial steps, s-coord)
-      !!            MOD(nn_msh, 3) = 1  :   'mesh_mask.nc' file
-      !!                         = 2  :   'mesh.nc' and mask.nc' files
-      !!                         = 0  :   'mesh_hgr.nc', 'mesh_zgr.nc' and
-      !!                                  'mask.nc' files
-      !!      For huge size domain, use option 2 or 3 depending on your 
-      !!      vertical coordinate.
+      !! ** Method  :   Write in a file all the arrays required to set up an
+      !!              ocean configuration.
       !!
-      !!      if     nn_msh <= 3: write full 3D arrays for e3[tuvw] and gdep[tuvw]
-      !!      if 3 < nn_msh <= 6: write full 3D arrays for e3[tuvw] and 2D arrays 
-      !!                        corresponding to the depth of the bottom t- and w-points
-      !!      if 6 < nn_msh <= 9: write 2D arrays corresponding to the depth and the
-      !!                        thickness (e3[tw]_ps) of the bottom points 
-      !!
-      !! ** output file :   meshmask.nc  : domain size, horizontal grid-point position,
-      !!                                   masks, depth and vertical scale factors
+      !! ** output file :   domain_cfg.nc : domain size, characteristics, horizontal mesh,
+      !!                              Coriolis parameter, depth and vertical scale factors
       !!----------------------------------------------------------------------
       INTEGER           ::   ji, jj, jk   ! dummy loop indices
@@ -441,6 +428,6 @@
       !
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'cfg_wri : create the "domain_cfg.nc" file containing all required configuration information'
-      IF(lwp) WRITE(numout,*) '~~~~~~~'
+      IF(lwp) WRITE(numout,*) 'cfg_write : create the "domain_cfg.nc" file containing all required configuration information'
+      IF(lwp) WRITE(numout,*) '~~~~~~~~~'
       !
       !                       ! ============================= !
@@ -532,5 +519,5 @@
       CALL iom_close( inum )
       !
-   END SUBROUTINE cfg_wri
+   END SUBROUTINE cfg_write
 
    !!======================================================================
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 6717)
@@ -26,5 +26,5 @@
    USE par_oce        ! ocean space and time domain
    USE phycst         ! physical constants
-   USE usrdef         ! User defined routine
+   USE usrdef_hgr     ! User defined routine
    !
    USE in_out_manager ! I/O manager
@@ -121,5 +121,5 @@
       ELSE
          IF( ln_read_cfg ) THEN
-            IF(lwp) WRITE(numout,*) '          Coriolis parameter have been read in "mesh_mask" file'
+            IF(lwp) WRITE(numout,*) '          Coriolis parameter have been read in "domain_cfg" file'
          ELSE
             IF(lwp) WRITE(numout,*) '          Coriolis parameter have been set in usr_def_hgr routine'
@@ -210,5 +210,5 @@
       IF(  iom_varid( inum, 'ff_f', ldstop = .FALSE. ) > 0  .AND.  &
          & iom_varid( inum, 'ff_t', ldstop = .FALSE. ) > 0    ) THEN
-         IF(lwp) WRITE(numout,*) '           Coriolis factor at f- and t-points read in mesh_mask file'
+         IF(lwp) WRITE(numout,*) '           Coriolis factor at f- and t-points read in domain_cfg file'
          CALL iom_get( inum, jpdom_data, 'ff_f'  , ff_f  , lrowattr=ln_use_jattr )
          CALL iom_get( inum, jpdom_data, 'ff_t'  , ff_t  , lrowattr=ln_use_jattr )
@@ -219,5 +219,5 @@
       !
       IF( iom_varid( inum, 'e1e2u', ldstop = .FALSE. ) > 0 ) THEN
-         IF(lwp) WRITE(numout,*) '           e1e2u & e1e2v read in mesh_mask file'
+         IF(lwp) WRITE(numout,*) '           e1e2u & e1e2v read in domain_cfg file'
          CALL iom_get( inum, jpdom_data, 'e1e2u'  , e1e2u  , lrowattr=ln_use_jattr )
          CALL iom_get( inum, jpdom_data, 'e1e2v'  , e1e2v  , lrowattr=ln_use_jattr )
